summaryrefslogtreecommitdiffstats
path: root/libraries/libslack/libslack.SlackBuild
diff options
context:
space:
mode:
author Christoph Willing <c.willing@uq.edu.au>2013-01-02 21:53:35 +0100
committer dsomero <xgizzmo@slackbuilds.org>2013-01-09 18:52:17 -0500
commite33ef45a804325adef56f5d514998a3d33d16be9 (patch)
tree1366d0ab2b443ee5b298eadee635892a520354ea /libraries/libslack/libslack.SlackBuild
parente49104b46993a3366d626741d050c99cfaff7899 (diff)
downloadslackbuilds-e33ef45a804325adef56f5d514998a3d33d16be9.tar.gz
slackbuilds-e33ef45a804325adef56f5d514998a3d33d16be9.tar.xz
misclibraries/libslack: Added (General programmers' utilities).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'libraries/libslack/libslack.SlackBuild')
-rw-r--r--libraries/libslack/libslack.SlackBuild113
1 files changed, 113 insertions, 0 deletions
diff --git a/libraries/libslack/libslack.SlackBuild b/libraries/libslack/libslack.SlackBuild
new file mode 100644
index 0000000000..31cb856e6c
--- /dev/null
+++ b/libraries/libslack/libslack.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/sh
+
+# Slackware build script for libslack
+
+# Copyright 2012 Christoph Willing, Australia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libslack
+VERSION=${VERSION:-0.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.html.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Strip update, download and uninstall capabilities from libslack-config
+patch -p1 < $CWD/notwanted.patch
+
+# Set our CFLAGS
+sed -i "s|-O3|$SLKCFLAGS|" conf/linux Makefile
+
+./configure
+make
+
+# "make install" is badly broken (thanks XGizzmo), so manual install
+mkdir -p $PKG/usr/bin $PKG/usr/lib$LIBDIRSUFFIX $PKG/usr/include/slack
+
+install -m 0755 $PRGNAM.a $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM-$VERSION.a
+( cd $PKG/usr/lib$LIBDIRSUFFIX ; ln -s $PRGNAM-$VERSION.a $PRGNAM.a )
+
+install -m 0644 *.h $PKG/usr/include/slack/
+
+sed \
+ -e "s|@@URL@@|http://$PRGNAM.org/|" \
+ -e "s|@@NAME@@|$PRGNAM|" \
+ -e "s|@@VERSION@@|$VERSION|" \
+ -e "s|@@PREFIX@@|/usr|" \
+ -e "s|@@CFLAGS@@|-DHAVE_GETOPT_LONG=1 -DHAVE_SNPRINTF=1 -DHAVE_VSSCANF=1 -DHAVE_PTHREAD_RWLOCK=1|" \
+ -e "s|@@LIBS@@|-lslack -lpthread -lutil|" \
+ $PRGNAM-config.t > $PKG/usr/bin/$PRGNAM-config
+chmod 0755 $PKG/usr/bin/$PRGNAM-config
+
+# Man pages overwrite stuff (thanks XGizzmo), so we ignore them
+# and install only the html documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp -a README LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION/html/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}